TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Keyword

Programming Language

### Description

<shortdoc> KASH3 uses the GAP3 shell as a user interface. The programming language of GAP3 is an imperative language with some functional and some object oriented features. In KASH3 additional features like Methods, Maps, and Extendable Objects are available. The following describes the imperative control structures of the GAP3/KASH3 programming language.
By convention the names of KASH3 functions, which change the arguments (in the GAP3/KASH3 programming language all complex data structures are passed to functions by reference), end in '_'. </shortdoc>

### See also

if
while
repeat
for
function
return
arg

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack